import { Fragment } from '@atlaskit/editor-prosemirror/model';
import { processRawValue } from './processRawValue';
export function processRawFragmentValue(schema, value, providerFactory, sanitizePrivateContent, contentTransformer, dispatchAnalyticsEvent) {
  if (!value) {
    return;
  }
  const adfEntities = value.map(item => processRawValue(schema, item, providerFactory, sanitizePrivateContent, contentTransformer, dispatchAnalyticsEvent)).filter(item => Boolean(item));
  if (adfEntities.length === 0) {
    return;
  }
  return Fragment.from(adfEntities);
}